﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Autocomplete;
using Android.Views;
using System.Collections.Generic;
using System;
using System.Collections.ObjectModel;

namespace Native_Android
{
    [Activity(Label = "Native_Android", MainLauncher = true)]
    public class MainActivity : Activity
    {
        public class Employee
        {
            public string Name { get; set; }
            public string Image { get; set; }
            public Employee(string name)
            {
                this.Name = name;
               
            }
        }
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            LinearLayout linearLayout = new LinearLayout(this);
            linearLayout.LayoutParameters = new ViewGroup.LayoutParams(500, ViewGroup.LayoutParams.MatchParent);
            linearLayout.SetBackgroundColor(Android.Graphics.Color.White);
            SfAutoComplete countryAutoComplete = new SfAutoComplete(this);
            countryAutoComplete.LayoutParameters = new ViewGroup.LayoutParams(ViewGroup.LayoutParams.MatchParent, 50);

            //Crete the data source
            ObservableCollection<Employee> employeeDetails = new ObservableCollection<Employee>();
            employeeDetails.Add(new Employee("Jack"));
            employeeDetails.Add(new Employee("John"));
            employeeDetails.Add(new Employee("James"));
            employeeDetails.Add(new Employee("Jacob"));
            employeeDetails.Add(new Employee("Joy"));

            ObservableCollection<Employee> selected = new ObservableCollection<Employee>();
            selected.Add(employeeDetails[0]);
            selected.Add(employeeDetails[1]);
            selected.Add(employeeDetails[2]);
            

            //To display the Name, set the DisplayMemberPath
            countryAutoComplete.DisplayMemberPath = "Name";



            //Add the data source
            countryAutoComplete.DataSource = employeeDetails;
            
            //Set the MultiSelectMode
            countryAutoComplete.MultiSelectMode = MultiSelectMode.Token;
            countryAutoComplete.SuggestionMode = SuggestionMode.StartsWith;
            countryAutoComplete.MaximumDropDownHeight = 200;
            countryAutoComplete.DropDownItemHeight = 50;

            //Set the TokensWrapMode
            countryAutoComplete.TokensWrapMode = TokensWrapMode.Wrap;

            //Add the SfAutoComplete view to the linear layout
            linearLayout.AddView(countryAutoComplete);
            SetContentView(linearLayout);
            countryAutoComplete.SelectedItem = selected;
        }
    }
}

